# -*- coding: utf-8 -*-
"""
Spyder Editor

This is a temporary script file.
"""

from lxml import html
import requests
import urllib.request

def getdocs(url, dir = '.'):
    baseurl = url.split('.gov')[0] + '.gov'
    page = requests.get(url)
    tree = html.fromstring(page.content)
    links = tree.xpath('//@href')
    files_needed = []
    for link in links:
        for ending in ['csv', 'tsv', 'pptx', 'pdf', 'docx', 'xlsx']:
            if ending in link:
                files_needed.append(link)
    for link in files_needed:
        urllib.request.urlretrieve(baseurl+link, link.split('/')[-1])
                

    
getdocs('http://www.goes-r.gov/users/2014-GLM.html')
